#ifndef UCOMPORT_H
#define UCOMPORT_H

#include <QObject>
#include <RS232.h>
#include <QMutex>
#include <QMutexLocker>

class UComPort
{
public:
    explicit UComPort();
    QString portName();
    int speed();
    virtual void setPortName(const QString& name);
    virtual void setSpeed(int speed);
    bool open();
    bool open(const QString& name);
    bool open(const QString& name,int speed);
private:
    rs232port_t p_port;
    QString p_PortName;
    int p_speed;
    QMutex* p_portMutex;
    bool p_opened;

};

#endif // UCOMPORT_H
